[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: NI_MAXHOST and NI_MAXSERV need _GNU_SOURCE now (was: Re: Fedora i386 rawhide rebuild in mock status 2008-02-09)



On Thu, 2008-02-14 at 17:23 +0100, Tomas Janousek wrote:
> Hello,
> 
> On Wed, Feb 13, 2008 at 09:11:24AM -0600, Matt Domsch wrote:
> > brltty-3.9-1.1.fc9 (build/make) tjanouse
> > cyrus-imapd-2.3.9-8.fc9 (build/make) tjanouse
> > tcp_wrappers-7.6-50.fc8 (build/make) tjanouse
> 
> I'm missing the NI_MAXHOST and NI_MAXSERV there because of this:
> 
> http://sourceware.org/cgi-bin/cvsweb.cgi/libc/resolv/netdb.h.diff?r1=1.47&r2=1.48&cvsroot=glibc
Well, this change only exposes a portability issue, having lurked in
glibc.

c.f. http://www.opengroup.org/onlinepubs/009695399/basedefs/netdb.h.html

> What do you think is the correct solution?
>
>  Add a check to configure whether we
> need _GNU_SOURCE to get these constants?
This would be one approach to work-around this issue inside of a package.
Setting _GNU_SOURCE in a public header would be a mistake.

Ralf



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]